// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md/file.proto

package dictionary_md

import (
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/fcpartners/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type File struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        int64                          `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string                         `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Url       string                         `protobuf:"bytes,3,opt,name=url,proto3" json:"url,omitempty"`
	Type      dictionary_common.FileType     `protobuf:"varint,6,opt,name=type,proto3,enum=fcp.dictionary.v1.dictionary_common.FileType" json:"type,omitempty"`
	Quality   dictionary_common.ImageQuality `protobuf:"varint,7,opt,name=quality,proto3,enum=fcp.dictionary.v1.dictionary_common.ImageQuality" json:"quality,omitempty"`
	Order     int64                          `protobuf:"varint,8,opt,name=order,proto3" json:"order,omitempty"`
	CreatedAt *timestamp.Timestamp           `protobuf:"bytes,4,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy string                         `protobuf:"bytes,5,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
}

func (x *File) Reset() {
	*x = File{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *File) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*File) ProtoMessage() {}

func (x *File) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use File.ProtoReflect.Descriptor instead.
func (*File) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{0}
}

func (x *File) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *File) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *File) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *File) GetType() dictionary_common.FileType {
	if x != nil {
		return x.Type
	}
	return dictionary_common.FileType_FT_UNSPECIFIED
}

func (x *File) GetQuality() dictionary_common.ImageQuality {
	if x != nil {
		return x.Quality
	}
	return dictionary_common.ImageQuality_IQ_UNSPECIFIED
}

func (x *File) GetOrder() int64 {
	if x != nil {
		return x.Order
	}
	return 0
}

func (x *File) GetCreatedAt() *timestamp.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *File) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

type ProductFileFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ProductId *wrappers.Int64Value                 `protobuf:"bytes,4,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	Quality   *dictionary_common.ImageQualityValue `protobuf:"bytes,5,opt,name=quality,proto3" json:"quality,omitempty"`
	// required fields
	ProductPackageIds []int64                      `protobuf:"varint,6,rep,packed,name=product_package_ids,json=productPackageIds,proto3" json:"product_package_ids,omitempty"`
	FileType          []dictionary_common.FileType `protobuf:"varint,3,rep,packed,name=file_type,json=fileType,proto3,enum=fcp.dictionary.v1.dictionary_common.FileType" json:"file_type,omitempty"`
}

func (x *ProductFileFilter) Reset() {
	*x = ProductFileFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductFileFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductFileFilter) ProtoMessage() {}

func (x *ProductFileFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductFileFilter.ProtoReflect.Descriptor instead.
func (*ProductFileFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{1}
}

func (x *ProductFileFilter) GetProductId() *wrappers.Int64Value {
	if x != nil {
		return x.ProductId
	}
	return nil
}

func (x *ProductFileFilter) GetQuality() *dictionary_common.ImageQualityValue {
	if x != nil {
		return x.Quality
	}
	return nil
}

func (x *ProductFileFilter) GetProductPackageIds() []int64 {
	if x != nil {
		return x.ProductPackageIds
	}
	return nil
}

func (x *ProductFileFilter) GetFileType() []dictionary_common.FileType {
	if x != nil {
		return x.FileType
	}
	return nil
}

// Product attachments files
type GetProductFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetProductFileRequest) Reset() {
	*x = GetProductFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductFileRequest) ProtoMessage() {}

func (x *GetProductFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductFileRequest.ProtoReflect.Descriptor instead.
func (*GetProductFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{2}
}

func (x *GetProductFileRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetProductFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *File `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetProductFileResponse) Reset() {
	*x = GetProductFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductFileResponse) ProtoMessage() {}

func (x *GetProductFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductFileResponse.ProtoReflect.Descriptor instead.
func (*GetProductFileResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{3}
}

func (x *GetProductFileResponse) GetItem() *File {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListProductFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *ProductFileFilter `protobuf:"bytes,5,opt,name=filter,proto3" json:"filter,omitempty"`
	// order, created
	Sorting    []*dictionary_common.Sorting         `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListProductFileRequest) Reset() {
	*x = ListProductFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductFileRequest) ProtoMessage() {}

func (x *ListProductFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductFileRequest.ProtoReflect.Descriptor instead.
func (*ListProductFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{4}
}

func (x *ListProductFileRequest) GetFilter() *ProductFileFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListProductFileRequest) GetSorting() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

func (x *ListProductFileRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListProductFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*File                               `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListProductFileResponse) Reset() {
	*x = ListProductFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductFileResponse) ProtoMessage() {}

func (x *ListProductFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductFileResponse.ProtoReflect.Descriptor instead.
func (*ListProductFileResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{5}
}

func (x *ListProductFileResponse) GetItems() []*File {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListProductFileResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type SaveProductFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Deprecated: Do not use.
	ProductId        int64 `protobuf:"varint,1,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	File             *File `protobuf:"bytes,2,opt,name=file,proto3" json:"file,omitempty"`
	ProductPackageId int64 `protobuf:"varint,3,opt,name=product_package_id,json=productPackageId,proto3" json:"product_package_id,omitempty"`
}

func (x *SaveProductFileRequest) Reset() {
	*x = SaveProductFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveProductFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveProductFileRequest) ProtoMessage() {}

func (x *SaveProductFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveProductFileRequest.ProtoReflect.Descriptor instead.
func (*SaveProductFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{6}
}

// Deprecated: Do not use.
func (x *SaveProductFileRequest) GetProductId() int64 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *SaveProductFileRequest) GetFile() *File {
	if x != nil {
		return x.File
	}
	return nil
}

func (x *SaveProductFileRequest) GetProductPackageId() int64 {
	if x != nil {
		return x.ProductPackageId
	}
	return 0
}

type SaveProductFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	File *File `protobuf:"bytes,1,opt,name=file,proto3" json:"file,omitempty"`
}

func (x *SaveProductFileResponse) Reset() {
	*x = SaveProductFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveProductFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveProductFileResponse) ProtoMessage() {}

func (x *SaveProductFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveProductFileResponse.ProtoReflect.Descriptor instead.
func (*SaveProductFileResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{7}
}

func (x *SaveProductFileResponse) GetFile() *File {
	if x != nil {
		return x.File
	}
	return nil
}

type DeleteProductFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	File *File `protobuf:"bytes,1,opt,name=file,proto3" json:"file,omitempty"`
}

func (x *DeleteProductFileRequest) Reset() {
	*x = DeleteProductFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteProductFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteProductFileRequest) ProtoMessage() {}

func (x *DeleteProductFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteProductFileRequest.ProtoReflect.Descriptor instead.
func (*DeleteProductFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{8}
}

func (x *DeleteProductFileRequest) GetFile() *File {
	if x != nil {
		return x.File
	}
	return nil
}

type DeleteProductFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteProductFileResponse) Reset() {
	*x = DeleteProductFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteProductFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteProductFileResponse) ProtoMessage() {}

func (x *DeleteProductFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteProductFileResponse.ProtoReflect.Descriptor instead.
func (*DeleteProductFileResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{9}
}

type GroupedPackageFile struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Package *ProductPackage `protobuf:"bytes,1,opt,name=package,proto3" json:"package,omitempty"`
	Files   []*File         `protobuf:"bytes,2,rep,name=files,proto3" json:"files,omitempty"`
}

func (x *GroupedPackageFile) Reset() {
	*x = GroupedPackageFile{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GroupedPackageFile) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GroupedPackageFile) ProtoMessage() {}

func (x *GroupedPackageFile) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GroupedPackageFile.ProtoReflect.Descriptor instead.
func (*GroupedPackageFile) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{10}
}

func (x *GroupedPackageFile) GetPackage() *ProductPackage {
	if x != nil {
		return x.Package
	}
	return nil
}

func (x *GroupedPackageFile) GetFiles() []*File {
	if x != nil {
		return x.Files
	}
	return nil
}

type ListGroupedPackageFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *ProductFileFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// id, created
	Sorting []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sorting,proto3" json:"sorting,omitempty"`
}

func (x *ListGroupedPackageFileRequest) Reset() {
	*x = ListGroupedPackageFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListGroupedPackageFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListGroupedPackageFileRequest) ProtoMessage() {}

func (x *ListGroupedPackageFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListGroupedPackageFileRequest.ProtoReflect.Descriptor instead.
func (*ListGroupedPackageFileRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{11}
}

func (x *ListGroupedPackageFileRequest) GetFilter() *ProductFileFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListGroupedPackageFileRequest) GetSorting() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sorting
	}
	return nil
}

type ListGroupedPackageFileResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*GroupedPackageFile `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *ListGroupedPackageFileResponse) Reset() {
	*x = ListGroupedPackageFileResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_file_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListGroupedPackageFileResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListGroupedPackageFileResponse) ProtoMessage() {}

func (x *ListGroupedPackageFileResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_file_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListGroupedPackageFileResponse.ProtoReflect.Descriptor instead.
func (*ListGroupedPackageFileResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_file_proto_rawDescGZIP(), []int{12}
}

func (x *ListGroupedPackageFileResponse) GetItems() []*GroupedPackageFile {
	if x != nil {
		return x.Items
	}
	return nil
}

var File_v1_dictionary_md_file_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_file_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2f, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x1a, 0x1e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f,
	0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a,
	0x27, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x5f, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x26, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x5f, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xbc,
	0x02, 0x0a, 0x04, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x10, 0x0a, 0x03, 0x75,
	0x72, 0x6c, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x41, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65,
	0x12, 0x4b, 0x0a, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x31, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75, 0x61,
	0x6c, 0x69, 0x74, 0x79, 0x52, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x12, 0x14, 0x0a,
	0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18, 0x08, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61,
	0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x1d,
	0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x22, 0xa3, 0x02,
	0x0a, 0x11, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x46, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x12, 0x3a, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12,
	0x50, 0x0a, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x51, 0x75, 0x61, 0x6c,
	0x69, 0x74, 0x79, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74,
	0x79, 0x12, 0x2e, 0x0a, 0x13, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x70, 0x61, 0x63,
	0x6b, 0x61, 0x67, 0x65, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x03, 0x52, 0x11,
	0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x49, 0x64,
	0x73, 0x12, 0x4a, 0x0a, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03,
	0x20, 0x03, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x54, 0x79, 0x70, 0x65, 0x4a, 0x04, 0x08,
	0x01, 0x10, 0x03, 0x22, 0x27, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x53, 0x0a, 0x16,
	0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39, 0x0a, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x69, 0x74, 0x65,
	0x6d, 0x22, 0x90, 0x02, 0x0a, 0x16, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x4a, 0x0a, 0x06,
	0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72,
	0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74,
	0x69, 0x6e, 0x67, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x53, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67,
	0x12, 0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61,
	0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4a, 0x04, 0x08, 0x01, 0x10, 0x02, 0x4a, 0x04,
	0x08, 0x04, 0x10, 0x05, 0x22, 0xaf, 0x01, 0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x3b, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x64, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a,
	0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xa4, 0x01, 0x0a, 0x16, 0x53, 0x61, 0x76, 0x65, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x21, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x02, 0x18, 0x01, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x49, 0x64, 0x12, 0x39, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x12,
	0x2c, 0x0a, 0x12, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x70, 0x61, 0x63, 0x6b, 0x61,
	0x67, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x10, 0x70, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x49, 0x64, 0x22, 0x54, 0x0a,
	0x17, 0x53, 0x61, 0x76, 0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66,
	0x69, 0x6c, 0x65, 0x22, 0x55, 0x0a, 0x18, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x39, 0x0a, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x04, 0x66, 0x69, 0x6c, 0x65, 0x22, 0x1b, 0x0a, 0x19, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x9c, 0x01, 0x0a, 0x12, 0x47, 0x72, 0x6f, 0x75,
	0x70, 0x65, 0x64, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x49,
	0x0a, 0x07, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d,
	0x64, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65,
	0x52, 0x07, 0x70, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x12, 0x3b, 0x0a, 0x05, 0x66, 0x69, 0x6c,
	0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x05, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x22, 0xb3, 0x01, 0x0a, 0x1d, 0x4c, 0x69, 0x73, 0x74, 0x47,
	0x72, 0x6f, 0x75, 0x70, 0x65, 0x64, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x4a, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x46, 0x69, 0x6c, 0x65, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69,
	0x6c, 0x74, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f, 0x72, 0x74,
	0x69, 0x6e, 0x67, 0x52, 0x07, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x22, 0x6b, 0x0a, 0x1e,
	0x4c, 0x69, 0x73, 0x74, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x65, 0x64, 0x50, 0x61, 0x63, 0x6b, 0x61,
	0x67, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x49,
	0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x33, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x47, 0x72, 0x6f, 0x75, 0x70, 0x65, 0x64, 0x50, 0x61, 0x63, 0x6b, 0x61, 0x67, 0x65, 0x46, 0x69,
	0x6c, 0x65, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x42, 0x60, 0x0a, 0x1d, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_file_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_file_proto_rawDescData = file_v1_dictionary_md_file_proto_rawDesc
)

func file_v1_dictionary_md_file_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_file_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_file_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_file_proto_rawDescData)
	})
	return file_v1_dictionary_md_file_proto_rawDescData
}

var file_v1_dictionary_md_file_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_v1_dictionary_md_file_proto_goTypes = []interface{}{
	(*File)(nil),                                 // 0: fcp.dictionary.v1.dictionary_md.File
	(*ProductFileFilter)(nil),                    // 1: fcp.dictionary.v1.dictionary_md.ProductFileFilter
	(*GetProductFileRequest)(nil),                // 2: fcp.dictionary.v1.dictionary_md.GetProductFileRequest
	(*GetProductFileResponse)(nil),               // 3: fcp.dictionary.v1.dictionary_md.GetProductFileResponse
	(*ListProductFileRequest)(nil),               // 4: fcp.dictionary.v1.dictionary_md.ListProductFileRequest
	(*ListProductFileResponse)(nil),              // 5: fcp.dictionary.v1.dictionary_md.ListProductFileResponse
	(*SaveProductFileRequest)(nil),               // 6: fcp.dictionary.v1.dictionary_md.SaveProductFileRequest
	(*SaveProductFileResponse)(nil),              // 7: fcp.dictionary.v1.dictionary_md.SaveProductFileResponse
	(*DeleteProductFileRequest)(nil),             // 8: fcp.dictionary.v1.dictionary_md.DeleteProductFileRequest
	(*DeleteProductFileResponse)(nil),            // 9: fcp.dictionary.v1.dictionary_md.DeleteProductFileResponse
	(*GroupedPackageFile)(nil),                   // 10: fcp.dictionary.v1.dictionary_md.GroupedPackageFile
	(*ListGroupedPackageFileRequest)(nil),        // 11: fcp.dictionary.v1.dictionary_md.ListGroupedPackageFileRequest
	(*ListGroupedPackageFileResponse)(nil),       // 12: fcp.dictionary.v1.dictionary_md.ListGroupedPackageFileResponse
	(dictionary_common.FileType)(0),              // 13: fcp.dictionary.v1.dictionary_common.FileType
	(dictionary_common.ImageQuality)(0),          // 14: fcp.dictionary.v1.dictionary_common.ImageQuality
	(*timestamp.Timestamp)(nil),                  // 15: google.protobuf.Timestamp
	(*wrappers.Int64Value)(nil),                  // 16: google.protobuf.Int64Value
	(*dictionary_common.ImageQualityValue)(nil),  // 17: fcp.dictionary.v1.dictionary_common.ImageQualityValue
	(*dictionary_common.Sorting)(nil),            // 18: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 19: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 20: fcp.dictionary.v1.dictionary_common.PaginationResponse
	(*ProductPackage)(nil),                       // 21: fcp.dictionary.v1.dictionary_md.ProductPackage
}
var file_v1_dictionary_md_file_proto_depIdxs = []int32{
	13, // 0: fcp.dictionary.v1.dictionary_md.File.type:type_name -> fcp.dictionary.v1.dictionary_common.FileType
	14, // 1: fcp.dictionary.v1.dictionary_md.File.quality:type_name -> fcp.dictionary.v1.dictionary_common.ImageQuality
	15, // 2: fcp.dictionary.v1.dictionary_md.File.created_at:type_name -> google.protobuf.Timestamp
	16, // 3: fcp.dictionary.v1.dictionary_md.ProductFileFilter.product_id:type_name -> google.protobuf.Int64Value
	17, // 4: fcp.dictionary.v1.dictionary_md.ProductFileFilter.quality:type_name -> fcp.dictionary.v1.dictionary_common.ImageQualityValue
	13, // 5: fcp.dictionary.v1.dictionary_md.ProductFileFilter.file_type:type_name -> fcp.dictionary.v1.dictionary_common.FileType
	0,  // 6: fcp.dictionary.v1.dictionary_md.GetProductFileResponse.item:type_name -> fcp.dictionary.v1.dictionary_md.File
	1,  // 7: fcp.dictionary.v1.dictionary_md.ListProductFileRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.ProductFileFilter
	18, // 8: fcp.dictionary.v1.dictionary_md.ListProductFileRequest.sorting:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	19, // 9: fcp.dictionary.v1.dictionary_md.ListProductFileRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 10: fcp.dictionary.v1.dictionary_md.ListProductFileResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.File
	20, // 11: fcp.dictionary.v1.dictionary_md.ListProductFileResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 12: fcp.dictionary.v1.dictionary_md.SaveProductFileRequest.file:type_name -> fcp.dictionary.v1.dictionary_md.File
	0,  // 13: fcp.dictionary.v1.dictionary_md.SaveProductFileResponse.file:type_name -> fcp.dictionary.v1.dictionary_md.File
	0,  // 14: fcp.dictionary.v1.dictionary_md.DeleteProductFileRequest.file:type_name -> fcp.dictionary.v1.dictionary_md.File
	21, // 15: fcp.dictionary.v1.dictionary_md.GroupedPackageFile.package:type_name -> fcp.dictionary.v1.dictionary_md.ProductPackage
	0,  // 16: fcp.dictionary.v1.dictionary_md.GroupedPackageFile.files:type_name -> fcp.dictionary.v1.dictionary_md.File
	1,  // 17: fcp.dictionary.v1.dictionary_md.ListGroupedPackageFileRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.ProductFileFilter
	18, // 18: fcp.dictionary.v1.dictionary_md.ListGroupedPackageFileRequest.sorting:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	10, // 19: fcp.dictionary.v1.dictionary_md.ListGroupedPackageFileResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.GroupedPackageFile
	20, // [20:20] is the sub-list for method output_type
	20, // [20:20] is the sub-list for method input_type
	20, // [20:20] is the sub-list for extension type_name
	20, // [20:20] is the sub-list for extension extendee
	0,  // [0:20] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_file_proto_init() }
func file_v1_dictionary_md_file_proto_init() {
	if File_v1_dictionary_md_file_proto != nil {
		return
	}
	file_v1_dictionary_md_product_package_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_file_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*File); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductFileFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveProductFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveProductFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteProductFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteProductFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GroupedPackageFile); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListGroupedPackageFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_file_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListGroupedPackageFileResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_file_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_file_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_file_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_file_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_file_proto = out.File
	file_v1_dictionary_md_file_proto_rawDesc = nil
	file_v1_dictionary_md_file_proto_goTypes = nil
	file_v1_dictionary_md_file_proto_depIdxs = nil
}
